Agent Email
Search inbox messages
POST /v1/agent-email/inboxes/{inboxId}/messages/search · SDK searchAgentEmailMessages · CLI deployments inbox search
POST
Requires agent-email:read. A suspended organization can still call it.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
inboxId*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$application/json- body
cursor?stringLength
1 <= length <= 4096direction?stringValue in
"inbound""outbound"from?stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
3 <= length <= 320hasAttachments?booleanlimit?integerRange
1 <= value <= 100participants?array<>Items
items <= 50query?stringstatus?stringValue in
"accepted""bounced""complained""delivered""failed""queued""received""scheduled""sending"to?stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
3 <= length <= 320AgentEmailMessagePageResponse
application/json- response
items*array<>nextCursor?|nullcurl -X POST "https://example.com/v1/agent-email/inboxes/string/messages/search" \ -H "x-deployments-environment: string" \ -H "Content-Type: application/json" \ -d '{}'{ "items": [ { "acceptedAt": "2019-08-24T14:15:22Z", "attachments": [ { "byteSize": 0, "contentId": "string", "contentType": "string", "disposition": "attachment", "fileName": "string", "id": "string", "messageId": "string", "sha256": "string" } ], "bccAddresses": [ "string" ], "ccAddresses": [ "string" ], "clientId": "string", "createdAt": "2019-08-24T14:15:22Z", "deliveredAt": "2019-08-24T14:15:22Z", "direction": "inbound", "draftId": "string", "failureCode": "string", "failureReason": "string", "fromAddress": "string", "htmlBody": "string", "id": "string", "inboxId": "string", "inReplyTo": "string", "internetMessageId": "string", "lastReprocessedAt": "2019-08-24T14:15:22Z", "organizationId": "string", "providerMessageId": "string", "rawPurgedAt": "2019-08-24T14:15:22Z", "rawRetentionExpiresAt": "2019-08-24T14:15:22Z", "receivedAt": "2019-08-24T14:15:22Z", "references": [ "string" ], "replyToAddresses": [ "string" ], "reprocessCount": 0, "scheduledAt": "2019-08-24T14:15:22Z", "status": "accepted", "subject": "string", "textBody": "string", "threadId": "string", "threadKey": "string", "toAddresses": [ "string" ], "updatedAt": "2019-08-24T14:15:22Z" } ], "nextCursor": "string"}